import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { CompoundBorrowContractPositionFetcher, CompoundBorrowTokenDataProps, GetMarketsParams } from '../../../apps/compound/common/compound.borrow.contract-position-fetcher';
import { GetDataPropsParams, GetTokenBalancesParams, GetTokenDefinitionsParams } from '../../../position/template/contract-position.template.types';
import { IronBankComptroller, IronBankContractFactory, IronBankCToken } from '../contracts';
export declare class EthereumIronBankBorrowContractPositionFetcher extends CompoundBorrowContractPositionFetcher<IronBankCToken, IronBankComptroller> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: IronBankContractFactory;
    groupLabel: string;
    comptrollerAddress: string;
    constructor(appToolkit: IAppToolkit, contractFactory: IronBankContractFactory);
    getCompoundCTokenContract(address: string): IronBankCToken;
    getCompoundComptrollerContract(address: string): IronBankComptroller;
    getMarkets({ contract }: GetMarketsParams<IronBankComptroller>): Promise<string[]>;
    getUnderlyingAddress({ contract }: GetTokenDefinitionsParams<IronBankCToken>): Promise<string>;
    getExchangeRate({ contract }: GetDataPropsParams<IronBankCToken, CompoundBorrowTokenDataProps>): Promise<import("ethers").BigNumber>;
    getBorrowRate({ contract }: GetDataPropsParams<IronBankCToken, CompoundBorrowTokenDataProps>): Promise<number | import("ethers").BigNumber>;
    getCash({ contract }: GetDataPropsParams<IronBankCToken, CompoundBorrowTokenDataProps>): Promise<import("ethers").BigNumber>;
    getCTokenSupply({ contract }: GetDataPropsParams<IronBankCToken, CompoundBorrowTokenDataProps>): Promise<import("ethers").BigNumber>;
    getCTokenDecimals({ contract }: GetDataPropsParams<IronBankCToken, CompoundBorrowTokenDataProps>): Promise<number>;
    getBorrowBalance({ address, contract }: GetTokenBalancesParams<IronBankCToken, CompoundBorrowTokenDataProps>): Promise<import("ethers").BigNumber>;
}
